<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>T572</title>
    <link rel="stylesheet" href="../style.css">
</head>
<body>
<header>
    <h1>Zadanie T572</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>Zdefiniuj klasę czołg. Czołg powinien mieć następujące właściwości:</p>
    <ul>
        <li>nazwa,</li>
        <li>kolor,</li>
        <li>ilość amunicji</li>
    </ul>
    <p>oraz metody:</p>
    <ul>
        <li>info() -- wyświetlająca informacje o czołgu</li>
        <li>pomaluj() - zmieniająca kolor czołgu</li>
        <li>załaduj() - zwiększająca ilość amunicji</li>
        <li>strzelaj() - wyświetla komunikat i zmniejsza ilość amunicji o 1 (w wariancie rozwiniętym należy uniemożliwić wykonanie strzału jeśli nie ma amunicji</li>
    </ul>
    <p>Utwórz obiekt klasy czołg i przetestuj działanie metod.</p>
</div>
<div class="box">
    <?php
    class Czolg {
        public $nazwa;
        public $kolor;
        public $ilosc_amunicji;
        public function __construct($nazwa, $kolor, $ilosc_amunicji)
        {
            $this->nazwa = $nazwa;
            $this->kolor = $kolor;
            $this->ilosc_amunicji = $ilosc_amunicji;
        }
        public function info() {
            echo "Nazwa czołgu: " . $this->nazwa . "<br>";
            echo "Kolor: " . $this->kolor . "<br>";
            echo "Ilość amunicji: " . $this->ilosc_amunicji . "<br>";
        }
        public function pomaluj($kolor) {
            $this->kolor = $kolor;
        }
        public function zaladuj() {
            $this->ilosc_amunicji++;
            echo "Załadowano " . $this->ilosc_amunicji . " amunicji" . "<br>";
        }
        public function strzelaj() {
            if ($this->ilosc_amunicji > 0) {
                $this->ilosc_amunicji--;
                echo "Strzelam! " . "Ilość amunicji: " . $this->ilosc_amunicji;
            } else {
                echo "Nie ma amunicji!";
            }
        }
    }
    $czolg = new Czolg("Czolg", "czarny", 10);
    $czolg->info();
    echo "<br>";
    $czolg->pomaluj("czerwony");
    $czolg->zaladuj();
    for ($i = 0; $i < 12; $i++) {
        $czolg->strzelaj();
        echo "<br>";
    }
    echo "<br>";
    $czolg->info();

    ?>
</div>
</body>
</html>